<?php

namespace App\Enums;

use App\Traits\EnumHelper;

enum PaymentStatusEnum: string
{
    use EnumHelper;

    case PENDING     = 'pending';
    case PROCESSING  = 'processing';
    case AUTHORIZED  = 'authorized';
    case PAID        = 'paid';
    case FAILED      = 'failed';
    case CANCELLED   = 'cancelled';
}
